Package mvpa :: Package misc :: Module state :: Class ClassWithCollections

[hide private]
[frames] | no frames]

# Class ClassWithCollections

source code

Base class for objects which contain any known collection

Classes inherited from this class gain ability to access collections and their items as simple attributes. Access to collection items "internals" is done via <collection_name> attribute and interface of a corresponding Collection.

Nested Classes | [hide private]

| __metaclass__ Intended to collect and compose StateCollection for any child class of this metaclass

Instance Methods | [hide private]

a new object with type S, a subtype of T

__new__(cls, *args, **kwargs) Initialize ClassWithCollections object | source code

__init__(self, descr=None, **kwargs) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__getattribute__(self, index) x.__getattribute__('name') <==> x.name | source code

__setattr__(self, index, value) x.__setattr__('name', value) <==> x.name = value | source code

reset(self) | source code

__str__(self) str(x) | source code

__repr__(self, prefixes=None, fullname=False) String definition of the object of ClassWithCollections object | source code

Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Class Variables | [hide private]

| _DEV__doc__ = ``...``
| descr = `property(lambda self: self.__descr, doc= "Description `...``

Instance Variables | [hide private]

| __descr Set humane description for the object

Properties | [hide private]

Inherited from `object`: `__class__`

Method Details | [hide private]

### __new__(cls, *args, **kwargs)

source code

Initialize ClassWithCollections object

Parameters:
  - `descr` (basestring) - Description of the instance
Returns: a new object with type S, a subtype of T
Overrides: object.__new__

### __init__(self, descr=None, **kwargs)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __getattribute__(self, index)

source code

x.__getattribute__('name') <==> x.name

Overrides: object.__getattribute__
  (inherited documentation)

### __setattr__(self, index, value)

source code

x.__setattr__('name', value) <==> x.name = value

Overrides: object.__setattr__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)

### __repr__(self, prefixes=None, fullname=False)
(Representation operator)

source code

String definition of the object of ClassWithCollections object

Parameters:
  - `fullname` (bool) - Either to include full name of the module
  - `prefixes` (list of strings) - What other prefixes to prepend to list of arguments
Overrides: object.__repr__

Class Variable Details | [hide private]

### _DEV__doc__

Value:

      """
          TODO: rename 'descr'? -- it should simply
                be 'doc' -- no need to drag classes docstring imho.
          """

### descr

Value:

      property(lambda self: self.__descr, doc= "Description of the object if
       any")